Bug 782520 - Propose that you turn on PrivateTmp=true in service file for ntp
Summary: Propose that you turn on PrivateTmp=true in service file for ntp
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ntp
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PrivateTmp
TreeView+ depends on / blocked
 
Reported: 2012-01-17 15:53 UTC by Daniel Walsh
Modified: 2012-02-07 12:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-07 12:16:37 UTC
Type: ---


Attachments (Terms of Use)

Description Daniel Walsh 2012-01-17 15:53:55 UTC
I would like to propose using PrivateTmp for ntp systemd unit file
This should make the use of /tmp directory more secure
and avoid users from being able to potentially effect it.

http://fedoraproject.org/wiki/Features/ServicesPrivateTmp

Comment 1 Daniel Walsh 2012-02-06 20:46:26 UTC
Any change on this bug.  We are coming up to Feature Freeze, and would like some comment on this bug.

If you do not believe this application uses /tmp than please comment on this and close the bug.  

If you believe this application needs to use /tmp to communicate with other applications or users then you can close this bug with that comment.

If your app does not use systemd, then close this bug with that comment.

If you have no idea, then please add a comment, and change the bug to assigned.

I need to update the status on this feature.


Thanks for your help.

Comment 2 Miroslav Lichvar 2012-02-07 12:16:37 UTC
PrivateTmp enabled in ntp-4.2.6p4-3.fc17. Thanks.


Note You need to log in before you can comment on or make changes to this bug.